Part Cylindre

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Cylinder and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente : Part Box.svg Cube
Page suivante : Sphère Part Sphere.svg Arrow-right.svg

Part Cylinder.svg Part Cylindre

Emplacement du menu
Part → Primitives → Cylindre
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

La commande Part Cylinder.svg Part Cylindre crée un solide cylindrique paramétrique. Il est le résultat de l'extrusion d'un arc de cercle le long d'une trajectoire droite. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, la face inférieure du cylindre se trouve sur le plan XY avec son centre à l'origine.

Un Part Cylindre peut être transformé en un segment de cylindre en modifiant sa propriété DonnéesAngle.

Part Cylinder Example.png

Utilisation

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Part Cylinder.svg Cylindre.
    • Sélectionnez l'option Part → Primitives → Part Cylinder.svg Cylindre dans le menu.
  2. Le cylindre est créé.
  3. Vous pouvez éventuellement modifier les dimensions et DonnéesPlacement du cylindre en effectuant l'une des opérations suivantes :

Exemple

Part Cylindre à partir de l'exemple du script

Un objet Part Cylindre créé avec l'exemple du script ci-dessous.

Remarques

  • Un Part Cylindre peut également être créé avec la commande Part Primitives.svg Part Primitives. Avec cette commande, vous pouvez spécifier les dimensions et le placement au moment de la création.

Propriétés

Voir aussi : Éditeur de propriétés.

Un objet Part Cylindre est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Cylinder

  • DonnéesRadius (Length) : Le rayon de l'arc de cercle qui définit le cylindre. La valeur par défaut est 2mm.
  • DonnéesHeight (Length) : La hauteur du cylindre. La valeur par défaut est 10mm.
  • DonnéesAngle (Angle) : L'angle de l'arc de cercle qui définit le cylindre. Plage valide : 0° < value <= 360°. La valeur par défaut est 360°. Si elle est inférieure à 360°, le solide résultant sera un segment de cylindre.

Prism

  • DonnéesPremier Angle (Angle) : L'angle entre la direction d'extrusion du cylindre et son axe Z positif, mesuré autour de son axe Y. L'angle est positif vers son axe X positif. L'angle est positif vers son axe X positif. Plage valide : 0° <= value < 90°. La valeur par défaut est . Introduit dans la version 0.20
  • DonnéesSecond Angle (Angle) : L'angle entre la direction d'extrusion du cylindre et son axe Z positif, mesuré autour de son axe X. L'angle est positif vers son axe Y positif. L'angle est positif vers son axe Y positif. Plage valide : 0° <= value < 90°. La valeur par défaut est . Introduit dans la version 0.20

Script

Voir aussi: Autogenerated API documentation, Part Ecrire un script et Débuter avec les scripts FreeCAD.

Un Part Cylindre est créé avec la méthode addObject() du document :

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • "myCylinder" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Exemple :

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()


Arrow-left.svg Page précédente : Part Box.svg Cube
Page suivante : Sphère Part Sphere.svg Arrow-right.svg